%define upstream_name    rpm-build-perl
%define upstream_version 0.82

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Perl compiler backend to extract Perl dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz
# rt#85411: Tests fail with Perl 5.18
Patch0:     debian_patches_0001-Fix-non-deterministic-failures-on-newer-perls.patch
# Patch from fedora to fix build with perl 5.22
Patch1:     rpm-build-perl-0.82-Adjust-to-perl-5.22.patch

BuildRequires: perl(B)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(O)
BuildRequires: perl(Safe)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl-devel

%description
B::PerlReq is a backend module for the Perl compiler that extracts
dependencies from Perl source code, based on the internal compiled
structure that Perl itself creates after parsing a program. The output of
B::PerlReq is suitable for automatic dependency tracking (e.g. for RPM
packaging).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b.hash
%patch1 -p1 -b .fix_build_with_perl_5-22

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/perl.*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.820.0-15pclos2017
- rebuild against updates

